clc
clear all

multi=xlsread('multiscale.xlsx');



x=multi(:,1);
x=x/30;



color1=[198	219	239]/255;
color2=[158	202	225]/255;
color3=[107	174	214]/255;
color4=[66	146	198]/255;
color5=[33	113	181]/255;
color6=[8	81	156]/255;
color7=[8	48	107]/255;

% color5=[33	113	181]/255;
% color6=[8	81	156]/255;
% color7=[8	48	107]/255;



plot( x,multi(:,2),'k--', 'markers',8,'linewidth',2, 'color', color1)
hold on
plot( x,multi(:,3),'k--', 'markers',8,'linewidth',2, 'color', color2)
plot( x,multi(:,4),'k--', 'markers',8,'linewidth',2, 'color', color3)
plot( x,multi(:,5),'k--', 'markers',8,'linewidth',2, 'color', color4)
plot( x,multi(:,6),'k-', 'markers',8,'linewidth',2, 'color', color5)
plot( x,multi(:,7),'k-', 'markers',8,'linewidth',2, 'color', color6)
plot( x,multi(:,8),'k-', 'markers',8,'linewidth',2, 'color', color7)


xlabel('$x/L$','FontSize',20,'Interpreter','latex');
ylabel('$c$','FontSize',20,'Interpreter','latex');
ylim([0 1.05])
% set(gca,'FontName','Times New Roman','FontSize',35,'FontWeight','normal','linewidth',3)
% set(gcf,'color','w')

legend('$\hat{t}=1$','$\hat{t}=5$','$\hat{t}=10$','$\hat{t}=20$','$\hat{t}=30$','$\hat{t}=50$','$\hat{t}=100$','FontSize',17,'Interpreter','latex')
set(legend,'box', 'on', 'edgeColor', 'none','location','southwest')
%%%%%%%%% group requirements %%%%%%%%%%
set(gcf, 'Units', 'centimeters',...
    'Position',[3 4 16 12],... % [left bottom width height]
    'PaperPositionMode', 'auto');
set(gca,'FontName','Times New Roman','FontSize',...
    20,'LineWidth',2,'Yscale','linear');
h=gcf;
pos = get(gcf, 'Position');
set(h,'PaperUnits','centimeters', 'PaperSize', pos(3:4));
print(h,'-dpdf', sprintf('./%s.pdf',mfilename));