clc
clear all

data=xlsread('03diffusionFlowLow.xlsx');

full=data(:,6);
err=data;
err(:,2)=(data(:,2)-full);                                                                                                                                                                                                                                                                              
err(:,3)=(data(:,3)-full);
err(:,4)=(data(:,4)-full);
err(:,5)=(data(:,5)-full);

% for i=1:100
%     err2(i,:)=err(i*3-1,:);
% end
% 
x=data(:,1);
% x2=err2(:,1);
x=x/0.03;

color1=[161	217	155]/255;
color2=[116	196	118]/255;
color3=[35	139	69]/255;
color4=[0	90	50]/255;
%plot( x2,err2(:,2),'x-k', x2,err2(:,3),'+-k',x2,err2(:,4),'<-k',x2,err2(:,5),'>-k',x2,err2(:,6),'^-k',x2,err2(:,7),'v-k','markers',8)
plot( x,err(:,2), 'markers',8,'linewidth',2, 'color', color1)
hold on
plot( x,err(:,3), 'markers',8,'linewidth',2, 'color', color2)
plot( x,err(:,4), 'markers',8,'linewidth',2, 'color', color3)
plot( x,err(:,5), 'markers',8,'linewidth',2, 'color', color4)

xlabel('$x/L$','FontSize',20,'Interpreter','latex');
ylabel('Error','FontSize',20,'Interpreter','latex');
ylim([0 0.15]);

set(gca,'FontName','Times New Roman','FontSize',35,'FontWeight','normal','linewidth',3)
set(gcf,'color','w')
legend('$\hat{t}$=0.5','$\hat{t}$=1','$\hat{t}$=2','$\hat{t}$=5')
set(legend,'Interpreter','latex','box', 'off')
%legend('multiscale','fully resolved')

legend('$N=3$','$N=6$','$N=20$','$N=50$' ,...
    'FontSize',18,'Interpreter','latex')
set(legend,'box', 'off')
%%%%%%%%% group requirements %%%%%%%%%%
set(gcf, 'Units', 'centimeters',...
    'Position',[3 4 16 12],... % [left bottom width height]
    'PaperPositionMode', 'auto');
set(gca,'FontName','Times New Roman','FontSize',...
    20,'LineWidth',2,'Yscale','linear');
h=gcf;
pos = get(gcf, 'Position');
set(h,'PaperUnits','centimeters', 'PaperSize', pos(3:4));
print(h,'-dpdf', sprintf('./%s.pdf',mfilename));
